import { defineComponent, createBlock, openBlock, unref, withCtx, createVNode, renderSlot } from "vue";
import ThemeProvider from "./providers/UIKitProvider/contexts/ThemeProvider/ThemeProvider.js";
import { _ as _sfc_main$1 } from "./LanguageProvider.vue_vue_type_script_setup_true_lang-WETxDesI.js";
import "./providers/UIKitProvider/contexts/LanguageProvider/useLanguageProvider.js";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "UIKitProvider",
  props: {
    theme: {},
    language: {},
    languageResources: {}
  },
  setup(__props) {
    const props = __props;
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(_sfc_main$1), {
        language: props.language,
        languageResources: props.languageResources
      }, {
        default: withCtx(() => [
          createVNode(ThemeProvider, {
            theme: props.theme
          }, {
            default: withCtx(() => [
              renderSlot(_ctx.$slots, "default")
            ]),
            _: 3
          }, 8, ["theme"])
        ]),
        _: 3
      }, 8, ["language", "languageResources"]);
    };
  }
});
export {
  _sfc_main as _
};
