export type ButtonType = 'primary' | 'default' | 'text';
export type ButtonShape = 'round' | 'circle' | 'rect';
export type ButtonIconPosition = 'start' | 'end';
export type ButtonSize = 'large' | 'big' | 'medium' | 'small';
export type ButtonColor = 'blue' | 'green' | 'red' | 'orange' | 'gray';
export interface ButtonProps {
    customClasses?: string[];
    color?: ButtonColor;
    type?: ButtonType;
    autofocus?: boolean;
    disabled?: boolean;
    icon?: string;
    iconPosition?: ButtonIconPosition;
    loading?: boolean;
    loadingClasses?: string[];
    shape?: ButtonShape;
    size?: ButtonSize;
}
