declare function setComponentTheme(componentName: string, value: string): void;
declare function setComponentShape(componentName: string, value: string): void;
declare function setComponentSize(componentName: string, value: string): void;
declare function setIconShow(componentName: string, value: boolean): void;
declare function setCloseShow(componentName: string, value: boolean): void;
export declare function useComponent(): {
    setComponentTheme: typeof setComponentTheme;
    setComponentShape: typeof setComponentShape;
    setComponentSize: typeof setComponentSize;
    setIconShow: typeof setIconShow;
    setCloseShow: typeof setCloseShow;
    ToastConfig: import("vue").Ref<{
        showIcon: boolean;
        showClose: boolean;
    }>;
};
export {};
