import { useTheme } from "../ThemeProvider/useThemeProvider.js";
import "vue";
import { useLanguage } from "../LanguageProvider/useLanguageProvider.js";
function useUIKit() {
  const themeContext = useTheme();
  const languageContext = useLanguage();
  return { ...themeContext, ...languageContext };
}
export {
  useUIKit
};
