const isNumber = (value) => typeof value === "number";
const isStringNumber = (value) => typeof value === "string" && !Number.isNaN(Number(value));
function addSuffix(value, suffix = "px") {
  if (isNumber(value) || isStringNumber(value)) {
    return value + suffix;
  }
  return value;
}
export {
  addSuffix,
  isNumber,
  isStringNumber
};
