export declare const TUIButton: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        type: {
            type: import("vue").PropType<import("./types").ButtonType>;
            default: string;
        };
        size: {
            type: import("vue").PropType<import("./types").ButtonSize>;
            default: string;
        };
        icon: {
            type: import("vue").PropType<string>;
        };
        color: {
            type: import("vue").PropType<import("./types").ButtonColor>;
            default: string;
        };
        shape: {
            type: import("vue").PropType<import("./types").ButtonShape>;
            default: string;
        };
        customClasses: {
            type: import("vue").PropType<string[]>;
            default: () => never[];
        };
        autofocus: {
            type: import("vue").PropType<boolean>;
        };
        disabled: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        iconPosition: {
            type: import("vue").PropType<import("./types").ButtonIconPosition>;
        };
        loading: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        loadingClasses: {
            type: import("vue").PropType<string[]>;
            default: () => never[];
        };
    }>> & {
        onClick?: ((...args: any[]) => any) | undefined;
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        click: (...args: any[]) => void;
    }, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        type: {
            type: import("vue").PropType<import("./types").ButtonType>;
            default: string;
        };
        size: {
            type: import("vue").PropType<import("./types").ButtonSize>;
            default: string;
        };
        icon: {
            type: import("vue").PropType<string>;
        };
        color: {
            type: import("vue").PropType<import("./types").ButtonColor>;
            default: string;
        };
        shape: {
            type: import("vue").PropType<import("./types").ButtonShape>;
            default: string;
        };
        customClasses: {
            type: import("vue").PropType<string[]>;
            default: () => never[];
        };
        autofocus: {
            type: import("vue").PropType<boolean>;
        };
        disabled: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        iconPosition: {
            type: import("vue").PropType<import("./types").ButtonIconPosition>;
        };
        loading: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        loadingClasses: {
            type: import("vue").PropType<string[]>;
            default: () => never[];
        };
    }>> & {
        onClick?: ((...args: any[]) => any) | undefined;
    }, {
        type: import("./types").ButtonType;
        size: import("./types").ButtonSize;
        color: import("./types").ButtonColor;
        shape: import("./types").ButtonShape;
        customClasses: string[];
        disabled: boolean;
        loading: boolean;
        loadingClasses: string[];
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        type: {
            type: import("vue").PropType<import("./types").ButtonType>;
            default: string;
        };
        size: {
            type: import("vue").PropType<import("./types").ButtonSize>;
            default: string;
        };
        icon: {
            type: import("vue").PropType<string>;
        };
        color: {
            type: import("vue").PropType<import("./types").ButtonColor>;
            default: string;
        };
        shape: {
            type: import("vue").PropType<import("./types").ButtonShape>;
            default: string;
        };
        customClasses: {
            type: import("vue").PropType<string[]>;
            default: () => never[];
        };
        autofocus: {
            type: import("vue").PropType<boolean>;
        };
        disabled: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        iconPosition: {
            type: import("vue").PropType<import("./types").ButtonIconPosition>;
        };
        loading: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        loadingClasses: {
            type: import("vue").PropType<string[]>;
            default: () => never[];
        };
    }>> & {
        onClick?: ((...args: any[]) => any) | undefined;
    }, {}, {}, {}, {}, {
        type: import("./types").ButtonType;
        size: import("./types").ButtonSize;
        color: import("./types").ButtonColor;
        shape: import("./types").ButtonShape;
        customClasses: string[];
        disabled: boolean;
        loading: boolean;
        loadingClasses: string[];
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    type: {
        type: import("vue").PropType<import("./types").ButtonType>;
        default: string;
    };
    size: {
        type: import("vue").PropType<import("./types").ButtonSize>;
        default: string;
    };
    icon: {
        type: import("vue").PropType<string>;
    };
    color: {
        type: import("vue").PropType<import("./types").ButtonColor>;
        default: string;
    };
    shape: {
        type: import("vue").PropType<import("./types").ButtonShape>;
        default: string;
    };
    customClasses: {
        type: import("vue").PropType<string[]>;
        default: () => never[];
    };
    autofocus: {
        type: import("vue").PropType<boolean>;
    };
    disabled: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    iconPosition: {
        type: import("vue").PropType<import("./types").ButtonIconPosition>;
    };
    loading: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    loadingClasses: {
        type: import("vue").PropType<string[]>;
        default: () => never[];
    };
}>> & {
    onClick?: ((...args: any[]) => any) | undefined;
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    click: (...args: any[]) => void;
}, string, {
    type: import("./types").ButtonType;
    size: import("./types").ButtonSize;
    color: import("./types").ButtonColor;
    shape: import("./types").ButtonShape;
    customClasses: string[];
    disabled: boolean;
    loading: boolean;
    loadingClasses: string[];
}, {}, string, {}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: {
        loading?(_: {}): any;
        default?(_: {}): any;
    };
});
