export * from './type';
export { dialog } from './dialog';
export declare const TUIDialog: {
    new (...args: any[]): import("vue").CreateComponentPublicInstance<Readonly<import("vue").ExtractPropTypes<{
        content: {
            type: import("vue").PropType<string>;
            default: string;
        };
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        customClasses: {
            type: import("vue").PropType<string[]>;
            default: undefined;
        };
        modal: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        showClose: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        center: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        fullscreen: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        cancelText: {
            type: import("vue").PropType<string>;
            default: string;
        };
        confirmText: {
            type: import("vue").PropType<string>;
            default: string;
        };
        confirmDisabled: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        cancelDisabled: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        visible: {
            type: import("vue").PropType<boolean>;
            required: true;
            default: boolean;
        };
        close: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
        confirm: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
        cancel: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
    }>> & {
        onCancel?: (() => any) | undefined;
        onClose?: (() => any) | undefined;
        onConfirm?: (() => any) | undefined;
        "onUpdate:visible"?: ((value: boolean) => any) | undefined;
    }, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
        "update:visible": (value: boolean) => void;
        close: () => void;
        confirm: () => void;
        cancel: () => void;
    }, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & Readonly<import("vue").ExtractPropTypes<{
        content: {
            type: import("vue").PropType<string>;
            default: string;
        };
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        customClasses: {
            type: import("vue").PropType<string[]>;
            default: undefined;
        };
        modal: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        showClose: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        center: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        fullscreen: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        cancelText: {
            type: import("vue").PropType<string>;
            default: string;
        };
        confirmText: {
            type: import("vue").PropType<string>;
            default: string;
        };
        confirmDisabled: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        cancelDisabled: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        visible: {
            type: import("vue").PropType<boolean>;
            required: true;
            default: boolean;
        };
        close: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
        confirm: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
        cancel: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
    }>> & {
        onCancel?: (() => any) | undefined;
        onClose?: (() => any) | undefined;
        onConfirm?: (() => any) | undefined;
        "onUpdate:visible"?: ((value: boolean) => any) | undefined;
    }, {
        content: string;
        title: string;
        customClasses: string[];
        modal: boolean;
        showClose: boolean;
        center: boolean;
        fullscreen: boolean;
        cancelText: string;
        confirmText: string;
        confirmDisabled: boolean;
        cancelDisabled: boolean;
        visible: boolean;
        close: () => void;
        confirm: () => void;
        cancel: () => void;
    }, true, {}, {}, {
        P: {};
        B: {};
        D: {};
        C: {};
        M: {};
        Defaults: {};
    }, Readonly<import("vue").ExtractPropTypes<{
        content: {
            type: import("vue").PropType<string>;
            default: string;
        };
        title: {
            type: import("vue").PropType<string>;
            default: string;
        };
        customClasses: {
            type: import("vue").PropType<string[]>;
            default: undefined;
        };
        modal: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        showClose: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        center: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        fullscreen: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        cancelText: {
            type: import("vue").PropType<string>;
            default: string;
        };
        confirmText: {
            type: import("vue").PropType<string>;
            default: string;
        };
        confirmDisabled: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        cancelDisabled: {
            type: import("vue").PropType<boolean>;
            default: boolean;
        };
        visible: {
            type: import("vue").PropType<boolean>;
            required: true;
            default: boolean;
        };
        close: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
        confirm: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
        cancel: {
            type: import("vue").PropType<() => void>;
            default: undefined;
        };
    }>> & {
        onCancel?: (() => any) | undefined;
        onClose?: (() => any) | undefined;
        onConfirm?: (() => any) | undefined;
        "onUpdate:visible"?: ((value: boolean) => any) | undefined;
    }, {}, {}, {}, {}, {
        content: string;
        title: string;
        customClasses: string[];
        modal: boolean;
        showClose: boolean;
        center: boolean;
        fullscreen: boolean;
        cancelText: string;
        confirmText: string;
        confirmDisabled: boolean;
        cancelDisabled: boolean;
        visible: boolean;
        close: () => void;
        confirm: () => void;
        cancel: () => void;
    }>;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
    content: {
        type: import("vue").PropType<string>;
        default: string;
    };
    title: {
        type: import("vue").PropType<string>;
        default: string;
    };
    customClasses: {
        type: import("vue").PropType<string[]>;
        default: undefined;
    };
    modal: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    showClose: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    center: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    fullscreen: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    cancelText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    confirmText: {
        type: import("vue").PropType<string>;
        default: string;
    };
    confirmDisabled: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    cancelDisabled: {
        type: import("vue").PropType<boolean>;
        default: boolean;
    };
    visible: {
        type: import("vue").PropType<boolean>;
        required: true;
        default: boolean;
    };
    close: {
        type: import("vue").PropType<() => void>;
        default: undefined;
    };
    confirm: {
        type: import("vue").PropType<() => void>;
        default: undefined;
    };
    cancel: {
        type: import("vue").PropType<() => void>;
        default: undefined;
    };
}>> & {
    onCancel?: (() => any) | undefined;
    onClose?: (() => any) | undefined;
    onConfirm?: (() => any) | undefined;
    "onUpdate:visible"?: ((value: boolean) => any) | undefined;
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    "update:visible": (value: boolean) => void;
    close: () => void;
    confirm: () => void;
    cancel: () => void;
}, string, {
    content: string;
    title: string;
    customClasses: string[];
    modal: boolean;
    showClose: boolean;
    center: boolean;
    fullscreen: boolean;
    cancelText: string;
    confirmText: string;
    confirmDisabled: boolean;
    cancelDisabled: boolean;
    visible: boolean;
    close: () => void;
    confirm: () => void;
    cancel: () => void;
}, {}, string, {}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & (new () => {
    $slots: {
        header?(_: {}): any;
        default?(_: {}): any;
        footer?(_: {}): any;
    };
});
