import type { i18n } from 'i18next';
export interface ILanguageResource {
    lng: string;
    translation: Record<string, any>;
}
export interface LanguageContextType {
    language: string;
    setLanguage: (lng: string) => void;
    t: i18n['t'];
    i18n: i18n;
}
export declare function useLanguage(): LanguageContextType;
export declare function addLanguageResources(languageResources: ILanguageResource[]): void;
